// ignore_for_file: avoid_print

import 'package:geiger_localstorage/geiger_localstorage.dart';
import 'package:test/test.dart';

void main() async {
  group('node_parser tests', () {
    test('availability of asset', () async {
      String initialNodes =
          await GenericController.getResourceOrFile('assets/store/store.data');
      expect(initialNodes, isNotEmpty,
          reason: 'initial store asset not loaded');
    });
    test('parse default asset', () async {
      String initialNodes =
          await GenericController.getResourceOrFile('assets/store/store.data');
      List<Node> ln = NodeParser(initialNodes).getNodes();
      expect(ln.length > 50, isTrue,
          reason: 'Number of nodes is too low (got only ${ln.length} nodes)');
    });
    test('parse dump database', () async {
      String initialNodes =
          await GenericController('test', DummyMapper('test')).dump();
      List<Node> ln = NodeParser(initialNodes).getNodes();
      for (Node n in ln) {
        print('## $n');
      }
      expect(ln.length > 50, isTrue,
          reason: 'Number of nodes is too low (got only ${ln.length} nodes)');
    });
  });
}
